Browse the reference
All resources
Category groups
4 endpoints
List category groups in this household
GET
/households/{householdId}/category-groupsread:categories
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/category-groupsResponse200 · Success
Create a category group
POST
/households/{householdId}/category-groupswrite:categories
Request body
json
{ "name": "Essentials"}Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Content-Type: application/json" \ -H "Idempotency-Key: $(uuidgen)" \ -X POST https://api.vokse.ai/households/current/category-groups \ -d '{"name":"Essentials"}'Response201 · Success
Update a category group
PATCH
/households/{householdId}/category-groups/{groupId}write:categories
Parameters
| Name | In | Required |
|---|---|---|
| groupId | path | Required |
Request body
json
{ "name": "Fixed costs"}Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Content-Type: application/json" \ -H "Idempotency-Key: $(uuidgen)" \ -X PATCH https://api.vokse.ai/households/current/category-groups/{groupId} \ -d '{"name":"Fixed costs"}'Response200 · Success
Soft-delete a category group
DELETE
/households/{householdId}/category-groups/{groupId}write:categories
Parameters
| Name | In | Required |
|---|---|---|
| groupId | path | Required |
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X DELETE https://api.vokse.ai/households/current/category-groups/{groupId}Response204 · No content